DICOMFIND(1)

NAME
dicomfind - vtk-dicom CLI

DESCRIPTION

  usage:

    dicomfind [options] <directory> ...

  options:

-L  Follow symbolic links (default).

-P  Do not follow symbolic links.

-k tag=value
    Provide an attribute to be queried and matched.

-q <query.txt>
    Provide a file to describe the find query.

-u <uids.txt>
    Provide a file that contains a list of UIDs.

-maxdepth n
    Set the maximum directory depth.

-name pattern
    Set a pattern to match (with "*" or "?").

-image
    Restrict the search to files with PixelData.

-series
    Find all files in series if even one file matches.

-print
    Print the filenames of all matched files (default).

-print0
    Print the filenames with terminating null, for xargs.

-exec ... +
    Execute the given command for every series matched.

-exec ... \;
    Execute the given command for every file matched.

-execdir ... +
    Go to directory and execute command on every series.

-execdir ... \;
    Go to directory and execute command on every file.

--directory-only
    Do not scan files themselves if DICOMDIR is present.

--ignore-dicomdir Ignore the DICOMDIR file even if it is present.

--charset <cs>
    Charset to use if SpecificCharacterSet is missing.

--help
    Print a brief help message.

--version
    Print the software version.

This command is like the UNIX "find" command, but for DICOM files.

When searching for files with a specific attribute (with "-k"), the tag can be in its hexadecimal form GGGG,EEEE or with its keyword form Modality=MR. Alternatively, the tags can be listed in a query file with the "-q" option (one tag per line). Attributes nested within sequences can be specified by giving a tag path "-k Tag1/Tag2/Tag3". Either a forward slash or a backslash can be used to separate the components of the path. Private tags hould be preceded by the private dictionary name in square brackets.

The "-exec" and "-execdir" arguments cause dicomfind to run the specified program on the found files. For example, to dump each file one would use "-exec dicomdump {} \;" where each instance of {} will be replaced by a found file, and ";" indicates the end of the args to dicomdump. Alternately, if "+" is used to end the args, then the program will be run on each DICOM series and {} will be replaced by all files in the series. The "-execdir" argument is similar, except that it runs the program from within the directory of the file (or files), and {} is replaced by just the filenames instead of with the full paths.

AUTHOR
This manual page was written by Mathieu Malaterre <malat@debian.org> for the Debian GNU/Linux system, but may be used by others.